Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.web.cache.mapping
Class Field

    java.lang.Object
      com.sun.appserv.web.cache.mapping.Field

Direct Known Subclasses:
  ConstraintField

public class Field
extends java.lang.Object

Field Summary
`protected java.lang.String` | `name`
`protected int` | `scope`

Constructor Summary
`Field(java.lang.String name, java.lang.String scope)` create a new cache field, given a string representation of the scope

Method Summary
`java.lang.String` | `getName()` get the associated name
`int` | `getScope()` get the associated scope
`java.lang.Object` | `getValue(ServletContext context, HttpServletRequest request)` get the field value by looking up in the given scope
`void` | `setName(java.lang.String name)` set the associated name
`void` | `setScope(int scope)` set the associated scope

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### scope

    protected int scope

Constructor Detail

### Field

    public Field(java.lang.String name,
                 java.lang.String scope)
          throws java.lang.IllegalArgumentException

  create a new cache field, given a string representation of the scope

Parameters:
  `name` - name of this field
  `scope` - scope of this field

Method Detail

### setName

    public void setName(java.lang.String name)

  set the associated name

  Parameters:
    `name` - name of this field

### setScope

    public void setScope(int scope)

  set the associated scope

  Parameters:
    `scope` - scope of this field

### getName

    public java.lang.String getName()

  get the associated name

### getScope

    public int getScope()

  get the associated scope

### getValue

    public java.lang.Object getValue(ServletContext context,
                                     HttpServletRequest request)

  get the field value by looking up in the given scope

  Parameters:
    `context` - `ServletContext` underlying web app context
    `request` - `HttpServletRequest`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.